Skip to main content
GET
https://{tenantDomain}/api/v2
/
event-streams
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.EventStreams.List(
        context.TODO(),
        &management.ListEventStreamsRequestParameters{
            From: management.String(
                "from",
            ),
            Take: management.Int(
                1,
            ),
        },
    )
}
{
  "eventStreams": [
    {
      "id": "<string>",
      "name": "<string>",
      "subscriptions": [
        {
          "event_type": "<string>"
        }
      ],
      "destination": {
        "type": "webhook",
        "configuration": {
          "webhook_endpoint": "<string>",
          "webhook_authorization": {
            "method": "basic",
            "username": "<string>"
          }
        }
      },
      "status": "enabled",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100

Response

Event streams successfully retrieved.

eventStreams
object[]
next
string

Opaque identifier for use with the from query parameter for the next page of results.